<?php
namespace imagestore;

require_once __DIR__ . '/../src/imagestore/Autoloader.php';
Autoloader::register();

require_once __DIR__ . '/../data/config.php';

if (!isset($_SERVER['REDIRECT_URL'])) {
    $url = '';
} else {
    $url = $_SERVER['REDIRECT_URL'];
}

if (substr($url, 0, 5) == '/api/') {
    $api = new Controller_Api();
    $api->handle(substr($url, 5));
} else if ($url == '/image') {
    $api = new Controller_Image();
    $api->handle($url);
} else {
    header('HTTP/1.0 404 Not Found');
    echo "I can't handle this request\n";
}
?>